Bug 606439 - Creating server instance with LDAPI takes too long.
Creating server instance with LDAPI takes too long.
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
1.2.6
All All
high Severity low
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 389_1.2.7 639035
  Show dependency treegraph
 
Reported: 2010-06-21 11:46 EDT by Endi Sukma Dewata
Modified: 2015-12-07 11:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:49:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scripts.tar.gz (525 bytes, application/x-gzip)
2010-06-21 11:46 EDT, Endi Sukma Dewata
no flags Details
Patch (2.84 KB, patch)
2010-12-10 17:14 EST, Nathan Kinder
nhosoi: review+
Details | Diff

  None (edit)
Description Endi Sukma Dewata 2010-06-21 11:46:19 EDT
Created attachment 425678 [details]
scripts.tar.gz

When a new server instance is created using setup-ds.pl, the startServer() in DSCreate.pm will wait until a phrase "slapd started." appears in the error log. If the new instance is configured to listen to LDAPI interface only, not the regular LDAP port, it will not display the phase causing the script to wait until timeout (10 minutes).

How reproducible: consistently.

To reproduce the problem, unpack the attached scripts.tar.gz, then execute run.sh. It will create an instance with the following .inf file:

[General]
SuiteSpotUserID=nobody

[slapd]
Suffix=dc=example,dc=com
RootDN=cn=Directory Manager
RootDNPwd=Secret123
ServerIdentifier=example
ldapifilepath=/tmp/ldapi

Actual results:
Could not start the directory server using command '/usr/lib/dirsrv/slapd-example/start-slapd'.  The last line from the error log was '[21/Jun/2010:00:41:55 -0500] - Listening on /tmp/ldapi for LDAPI requests
'.  Error:
Error: Could not create directory server instance 'example'.
Exiting . . .
Log file is '/tmp/setupT6JK7h.log'

Expected results:
The setup-ds.pl should complete without timing out.
Comment 3 Nathan Kinder 2010-12-10 17:14:52 EST
Created attachment 468075 [details]
Patch
Comment 4 Nathan Kinder 2010-12-10 17:24:36 EST
Pushed to master.  Thanks to Noriko for her review!

Counting objects: 11, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (6/6), 964 bytes, done.
Total 6 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   b3b0217..d9cac18  master -> master
Comment 5 Amita Sharma 2011-05-25 06:53:11 EDT
[root@amsharma scripts]# ./run.sh
Stopping slapd...
Removing slapd...
Instance slapd-amsharma removed.
Creating slapd...
Your new DS instance 'example' was successfully created.
Exiting . . .
Log file is '/tmp/setupimsedY.log'

[11/05/25:16:21:39] - [Setup] Info Your new DS instance 'example' was successfully created.
[11/05/25:16:21:39] - [Setup] Success Exiting . . .
Log file is '/tmp/setupimsedY.log'

Finished in no time. Hence Verified.

Note You need to log in before you can comment on or make changes to this bug.